콘텐츠로 이동
로그인 가입하기

Google Product API

알려진 제품 ID를 사용하여 Google Shopping 제품 페이지에서 제품 상세 정보를 가져옵니다. engine=google_product를 설정하고 product_id를 전달한 다음, 필요에 따라 offers, specs, reviews 플래그를 활성화하여 응답을 확장할 수 있습니다.

GET https://serp.shifter.io/v1?engine=google_product&api_key=YOUR_API_KEY
ParameterTypeRequiredDescription
api_keystringyesYour SERP API key
enginestringyesMust be google_product
product_idstringyesThe Google product ID
devicestringnodesktop, mobile, or tablet
google_domainstringnoGoogle domain to use
locationstringnoGeotargeting location name
uulestringnoGoogle encoded location string
hlstringnoInterface language code
glstringnoCountry code
startintnoResult offset for pagination
offersintnoSet to 1 or true to fetch offers
specsintnoSet to 1 or true to fetch product specifications
reviewsintnoSet to 1 or true to fetch product reviews
filterstringnoFilter offers. Values: freeship:1, ucond:1, scoring:p, scoring:tp, scoring:cpd, scoring:mrd
Terminal window
curl "https://serp.shifter.io/v1?engine=google_product&api_key=YOUR_API_KEY&product_id=11607214845071611155"
{
"search_parameters": {
"engine": "google_product",
"product_id": "11607214845071611155"
},
"product_results": {
"title": "Sony WH-1000XM5 Wireless Noise Cancelling Headphones",
"prices": ["$349.00 - $399.99"],
"rating": 4.7,
"reviews": 2341,
"extensions": ["Wireless", "Noise Cancelling"],
"description": "Industry leading noise cancellation...",
"media": [ { "type": "image", "link": "https://..." } ]
},
"sellers_results": {
"online_sellers": [
{ "name": "Best Buy", "total_price": "$349.00" }
]
}
}